<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::RepeatGenerator&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">RepeatGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Generators_1_1RepeatGenerator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::RepeatGenerator&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Generators::RepeatGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1RepeatGenerator__inherit__graph.png" border="0" usemap="#Catch_1_1Generators_1_1RepeatGenerator_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Generators_1_1RepeatGenerator_3_01T_01_4_inherit__map" id="Catch_1_1Generators_1_1RepeatGenerator_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="7,184,178,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Generators::RepeatGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1RepeatGenerator__coll__graph.png" border="0" usemap="#Catch_1_1Generators_1_1RepeatGenerator_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Generators_1_1RepeatGenerator_3_01T_01_4_coll__map" id="Catch_1_1Generators_1_1RepeatGenerator_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="7,184,178,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3aee12c4f9c2c04823ca3c75a20f234f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a3aee12c4f9c2c04823ca3c75a20f234f">RepeatGenerator</a> (size_t repeats, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:a3aee12c4f9c2c04823ca3c75a20f234f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43bd573274c9a0cd7f4406a3d0d36d49"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">get</a> () const override</td></tr>
<tr class="separator:a43bd573274c9a0cd7f4406a3d0d36d49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d5c2b1c09d6d220d4bd4c83f222dcb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">next</a> () override</td></tr>
<tr class="separator:a24d5c2b1c09d6d220d4bd4c83f222dcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aee12c4f9c2c04823ca3c75a20f234f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a3aee12c4f9c2c04823ca3c75a20f234f">RepeatGenerator</a> (size_t repeats, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:a3aee12c4f9c2c04823ca3c75a20f234f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43bd573274c9a0cd7f4406a3d0d36d49"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">get</a> () const override</td></tr>
<tr class="separator:a43bd573274c9a0cd7f4406a3d0d36d49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d5c2b1c09d6d220d4bd4c83f222dcb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">next</a> () override</td></tr>
<tr class="separator:a24d5c2b1c09d6d220d4bd4c83f222dcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a836e8d6ec91a2ff70c792c9da0e1f04d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a836e8d6ec91a2ff70c792c9da0e1f04d">m_generator</a></td></tr>
<tr class="separator:a836e8d6ec91a2ff70c792c9da0e1f04d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dddde7c72c525be12cdb1fe08f8d378"><td class="memItemLeft" align="right" valign="top">std::vector&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a2dddde7c72c525be12cdb1fe08f8d378">m_returned</a></td></tr>
<tr class="separator:a2dddde7c72c525be12cdb1fe08f8d378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af73981a50e1e1438d0159ac0b55a84bf"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#af73981a50e1e1438d0159ac0b55a84bf">m_target_repeats</a></td></tr>
<tr class="separator:af73981a50e1e1438d0159ac0b55a84bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad834535fe3a2aec44bf53632c43f68cf"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#ad834535fe3a2aec44bf53632c43f68cf">m_current_repeat</a> = 0</td></tr>
<tr class="separator:ad834535fe3a2aec44bf53632c43f68cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab311143cc38451a21de61f444fbc7cf6"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#ab311143cc38451a21de61f444fbc7cf6">m_repeat_index</a> = 0</td></tr>
<tr class="separator:ab311143cc38451a21de61f444fbc7cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3aee12c4f9c2c04823ca3c75a20f234f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aee12c4f9c2c04823ca3c75a20f234f">&#9670;&nbsp;</a></span>RepeatGenerator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">RepeatGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>repeats</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3aee12c4f9c2c04823ca3c75a20f234f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aee12c4f9c2c04823ca3c75a20f234f">&#9670;&nbsp;</a></span>RepeatGenerator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">RepeatGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>repeats</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a43bd573274c9a0cd7f4406a3d0d36d49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43bd573274c9a0cd7f4406a3d0d36d49">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a43bd573274c9a0cd7f4406a3d0d36d49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43bd573274c9a0cd7f4406a3d0d36d49">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a24d5c2b1c09d6d220d4bd4c83f222dcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24d5c2b1c09d6d220d4bd4c83f222dcb">&#9670;&nbsp;</a></span>next() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<a id="a24d5c2b1c09d6d220d4bd4c83f222dcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24d5c2b1c09d6d220d4bd4c83f222dcb">&#9670;&nbsp;</a></span>next() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad834535fe3a2aec44bf53632c43f68cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad834535fe3a2aec44bf53632c43f68cf">&#9670;&nbsp;</a></span>m_current_repeat</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::m_current_repeat = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a836e8d6ec91a2ff70c792c9da0e1f04d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a836e8d6ec91a2ff70c792c9da0e1f04d">&#9670;&nbsp;</a></span>m_generator</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::m_generator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab311143cc38451a21de61f444fbc7cf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab311143cc38451a21de61f444fbc7cf6">&#9670;&nbsp;</a></span>m_repeat_index</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::m_repeat_index = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2dddde7c72c525be12cdb1fe08f8d378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dddde7c72c525be12cdb1fe08f8d378">&#9670;&nbsp;</a></span>m_returned</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; T &gt; <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::m_returned</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">mutable</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af73981a50e1e1438d0159ac0b55a84bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af73981a50e1e1438d0159ac0b55a84bf">&#9670;&nbsp;</a></span>m_target_repeats</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator</a>&lt; T &gt;::m_target_repeats</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
